Get a project workflow
GET
/user/projects/{id}/workflows/{workflow_id}
const url = 'https://gitea.com/api/v1/user/projects/1/workflows/1';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/user/projects/1/workflows/1 \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer format: int64
Id of the project
workflow_id
required
integer format: int64
Id of the workflow
Responses
Section titled “Responses”ProjectWorkflow
Media typeapplication/json
ProjectWorkflow
Represents a project workflow
object
actions
ProjectWorkflowActions
Describes what a project workflow does to a matching item
object
add_label_ids
Array<integer>
column_id
integer format: int64
issue_state
“close” or “reopen”
string
remove_label_ids
Array<integer>
created_at
string format: date-time
enabled
boolean
event
One of item_added_to_project, item_removed_from_project, item_reopened, item_closed, item_column_changed, code_changes_requested, code_review_approved, pull_request_merged
string
filters
ProjectWorkflowFilters
Restricts which items a project workflow runs for
object
issue_type
“issue” or “pull_request”, empty matches both
string
label_ids
The item must have all of these labels
Array<integer>
source_column_id
Only for item_column_changed
integer format: int64
target_column_id
Only for item_column_changed
integer format: int64
id
integer format: int64
updated_at
string format: date-time
Example generated
{ "actions": { "add_label_ids": [ 1 ], "column_id": 1, "issue_state": "example", "remove_label_ids": [ 1 ] }, "created_at": "2026-04-15T12:00:00Z", "enabled": true, "event": "example", "filters": { "issue_type": "example", "label_ids": [ 1 ], "source_column_id": 1, "target_column_id": 1 }, "id": 1, "updated_at": "2026-04-15T12:00:00Z"}APINotFound is a not found empty response